# $Revision: 1.40 $, $Date: 2011/03/01 06:28:49 $
%include	/usr/lib/rpm/macros.php
%define		_class		DBA
%define		_status		stable

%define		_pearname	%{_class}
Summary:	%{_pearname} - Berkeley-style Database Class
Summary(pl.UTF-8):	%{_pearname} - klasa bazy danych w stylu Berkeley
Name:		php-pear-%{_pearname}
Version:	1.1.1
Release:	3
Epoch:		0
License:	PHP 2.02
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	efb0de0d2922ff8bf76a3a2eec2b91d0
URL:		http://pear.php.net/package/DBA/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Obsoletes:	php-pear-DBA-tests
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Implements a DBM-style database using either PHP's DBA functions or a
simple DBM class written in PHP. Also provides a relational database
system with support for selects, joins, sorts, projects, multiple
tables, type checking, autoincrements and more.

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
Implementacja bazy danych w stylu DBM, używającej PHP-owych funkcji
DBA lub prostych klas DBM napisanych w PHP. Dostarcza także relacyjny
system bazodanowy z obsługą funkcji select, join, sort, project, wielu
tabel, sprawdzania typów, autoinkrementacji itd.

Ta klasa ma w PEAR status: %{_status}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log
%doc docs/%{_pearname}/docs/*
%{php_pear_dir}/.registry/*.reg
%dir %{php_pear_dir}/%{_class}
%dir %{php_pear_dir}/%{_class}/Driver
%{php_pear_dir}/*.php
%{php_pear_dir}/%{_class}/*.php
%{php_pear_dir}/%{_class}/Driver/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-DBA.spec,v $
Revision 1.40  2011/03/01 06:28:49  glen
- release 3

Revision 1.39  2011/01/23 01:03:05  sparky
- dropped -tests subpackage

Revision 1.38  2008/01/31 12:16:06  glen
- rel 2

Revision 1.37  2007-07-04 22:56:32  glen
- updated to 1.1.1

Revision 1.36  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.35  2007/02/12 01:06:24  baggins
- converted to UTF-8

Revision 1.34  2006/05/23 20:18:14  glen
- BR rpm-build macros >= 1.300 for %pear_ macros

Revision 1.33  2006/04/02 13:48:06  glen
- AutoProv: no for -tests

Revision 1.32  2006/03/29 22:29:28  glen
- rel 4 (rebuild with less deps)

Revision 1.31  2006/03/07 10:20:48  glen
- BR php-pear-PEAR

Revision 1.30  2006/02/20 21:48:14  glen
- group Development/Languages/PHP for -tests

Revision 1.29  2006/01/08 18:04:08  glen
- AutoReq: no for -tests

Revision 1.28  2005/10/27 18:32:43  qboosh
- define Epoch to 0 explicitly when using it

Revision 1.27  2005/10/05 20:11:06  glen
- rel 3

Revision 1.26  2005/09/27 22:13:36  glen
- fix requires for -tests (typo)

Revision 1.25  2005/09/27 22:11:26  glen
- pl for -tests

Revision 1.24  2005/09/27 22:06:16  glen
- include epoch into tests subpackage requires

Revision 1.23  2005/09/19 21:43:39  glen
- integer BR

Revision 1.22  2005/09/19 20:35:06  glen
- use new pear build system

Revision 1.21  2004/12/03 22:03:32  adamg
- rebuild with new PEAR provides/requires scripts
- release 2

Revision 1.20  2004/05/30 13:13:48  adamg
- fixed english information about status of the package

Revision 1.19  2004/05/04 07:13:26  adamg
- updated to 1.1

Revision 1.18  2003/10/07 20:54:30  adamg
- do not use macros in URL

Revision 1.17  2003/08/31 20:49:09  adamg
- more specific URL

Revision 1.16  2003/05/28 08:58:35  adamg
- massive attack: added source0-md5

Revision 1.15  2003/05/25 06:25:18  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2003/01/03 11:36:32  qboosh
- typo, cosmetics

Revision 1.13  2003/01/01 23:02:10  blues
- 1.0 - first stable release - STBR to Ra-updates

Revision 1.12  2002/11/14 09:43:20  blues
- 0.9.5 - STBR

Revision 1.11  2002/10/14 23:38:33  misto
- new rpm-php-requires/provides scripts
- release 2

Revision 1.10  2002/09/30 15:45:04  blues
- 0.9.4 - STBR

Revision 1.9  2002/09/26 06:17:14  blues
- 0.9.3 - next bugfix release these days :-/ - STBR

Revision 1.8  2002/09/25 21:21:36  blues
- 0.9.2 - another bugfix release today... - STBR

Revision 1.7  2002/09/25 07:33:10  blues
- 0.9.1 - fixed - STBR

Revision 1.6  2002/09/24 23:45:08  blues
- 0.9 - buggy release, waiting for new one (or some clear explanation)

Revision 1.5  2002/09/08 19:30:56  blues
- 0.18 - STBR

Revision 1.4  2002/09/07 05:58:46  blues
- fix in macros

Revision 1.3  2002/07/17 10:14:28  blues
- 0.17
- more classes - standarized package
  STBR

Revision 1.2  2002/07/15 23:23:45  blues
- 0.16 (Warning: some API changes....)
  STBR

Revision 1.1  2002/07/11 20:37:37  blues
- initial release
